Get open tender service provider options for one or more shipments
post
/custom-actions/getOpenTenderServiceProviderOptions/shipments
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest body for fetching open tender service provider options. Required for the bulk endpoint and optional for the single-shipment endpoint.
Show Source
-
savedConditionGid: string
Optional saved condition GID to expand the service provider list.
-
savedQueryGid: string
Optional saved query GID to expand the service provider list.
-
shipmentPks: array
shipmentPks
Shipment PKs for the bulk endpoint only. Not required when shipmentId is provided in the path.
-
tenderType: string
Default Value:
SAllowed Values:[ "S", "B" ]Tender type to evaluate. Use "S" for Spot Bid (default) or "B" for Broadcast.
Nested Schema : shipmentPks
Type:
arrayShipment PKs for the bulk endpoint only. Not required when shipmentId is provided in the path.
Show Source
Response
Supported Media Types
- application/json
200 Response
OK. Open tender service provider options returned.
Root Schema : getOpenTenderServiceProviderOptionsResponse
Type:
objectResponse containing grouped open tender service provider options.
Show Source
-
isSpotBid: boolean
Indicates whether the tender is a spot bid.
-
items: object
getOpenTenderServiceProviderOptionsItems
Grouped service provider lists returned by the Open Tender action.
Nested Schema : getOpenTenderServiceProviderOptionsItems
Type:
objectGrouped service provider lists returned by the Open Tender action.
Show Source
-
infeasibleLaneServiceProviders: array
infeasibleLaneServiceProviders
Lane service providers that are not feasible.
-
infeasibleOtherServiceProviders: array
infeasibleOtherServiceProviders
Additional service providers that are not feasible.
-
laneServiceProviders: array
laneServiceProviders
Service providers that are feasible for the lane.
-
otherServiceProviders: array
otherServiceProviders
Additional service providers returned from saved query or condition criteria.
Nested Schema : infeasibleLaneServiceProviders
Type:
arrayLane service providers that are not feasible.
Show Source
-
Array of:
object openTenderServiceProviderOption
Service provider returned by the Open Tender action.
Nested Schema : infeasibleOtherServiceProviders
Type:
arrayAdditional service providers that are not feasible.
Show Source
-
Array of:
object openTenderServiceProviderOption
Service provider returned by the Open Tender action.
Nested Schema : laneServiceProviders
Type:
arrayService providers that are feasible for the lane.
Show Source
-
Array of:
object openTenderServiceProviderOption
Service provider returned by the Open Tender action.
Nested Schema : otherServiceProviders
Type:
arrayAdditional service providers returned from saved query or condition criteria.
Show Source
-
Array of:
object openTenderServiceProviderOption
Service provider returned by the Open Tender action.
Nested Schema : openTenderServiceProviderOption
Type:
objectService provider returned by the Open Tender action.
Show Source
-
infeasibilityReason: string
Reason the service provider is infeasible, if applicable.
-
isDigitalFreight: boolean
Indicates whether the service provider is a digital freight provider.
-
serviceProviderGid: string
Service provider GID.
-
serviceProviderName: string
Service provider name.
400 Response
Bad Request. The server could not understand the request due to invalid syntax or parameters.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized. Authentication is required and has failed or has not yet been provided.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Forbidden. Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
Internal Server Error. The server encountered an internal error that prevented it from fulfilling this request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.